# Uses of Interface
org.eclipse.emf.cdo.security.Group

Packages that use Group
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.

## Uses of Group in org.eclipse.emf.cdo.security

Methods in org.eclipse.emf.cdo.security that return Group
Modifier and Type
Method
Description
`Group`
SecurityItemContainer.`addGroup(String id)`
`Group`
SecurityFactory.`createGroup()`
Returns a new object of class 'Group'.
`Group`
SecurityFactory.`createGroup(String id)`
`static Group`
RealmUtil.`findGroup(EList<SecurityItem> items, String groupID)`
`Group`
SecurityItemProvider.`getGroup(String id)`
`static Group`
RealmUtil.`removeGroup(EList<SecurityItem> items, String groupID)`
`Group`
SecurityItemContainer.`removeGroup(String id)`
Methods in org.eclipse.emf.cdo.security that return types with arguments of type Group
Modifier and Type
Method
Description
`static BasicEList<Group>`
RealmUtil.`allGroups(EList<SecurityItem> items)`
`EList<Group>`
Realm.`getAllGroups()`
Returns the value of the 'All Groups' reference list.
`EList<Group>`
User.`getAllGroups()`
Returns the value of the 'All Groups' reference list.
`EList<Group>`
Group.`getAllInheritedGroups()`
Returns the value of the 'All Inherited Groups' reference list.
`EList<Group>`
Group.`getAllInheritingGroups()`
Returns the value of the 'All Inheriting Groups' reference list.
`EList<Group>`
User.`getGroups()`
Returns the value of the 'Groups' reference list.
`EList<Group>`
Group.`getInheritedGroups()`
Returns the value of the 'Inherited Groups' reference list.
`EList<Group>`
Group.`getInheritingGroups()`
Returns the value of the 'Inheriting Groups' reference list.

## Uses of Group in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement Group
Modifier and Type
Class
Description
`class`
`GroupImpl`
An implementation of the model object 'Group'.
Methods in org.eclipse.emf.cdo.security.impl that return Group
Modifier and Type
Method
Description
`Group`
DirectoryImpl.`addGroup(String id)`
`Group`
RealmImpl.`addGroup(String id)`
`Group`
SecurityFactoryImpl.`createGroup()`
`Group`
SecurityFactoryImpl.`createGroup(String id)`
`Group`
DirectoryImpl.`getGroup(String id)`
`Group`
RealmImpl.`getGroup(String id)`
`Group`
DirectoryImpl.`removeGroup(String id)`
`Group`
RealmImpl.`removeGroup(String id)`
Methods in org.eclipse.emf.cdo.security.impl that return types with arguments of type Group
Modifier and Type
Method
Description
`EList<Group>`
RealmImpl.`getAllGroups()`
`EList<Group>`
UserImpl.`getAllGroups()`
`EList<Group>`
GroupImpl.`getAllInheritedGroups()`
`EList<Group>`
GroupImpl.`getAllInheritingGroups()`
`EList<Group>`
UserImpl.`getGroups()`
`EList<Group>`
GroupImpl.`getInheritedGroups()`
`EList<Group>`
GroupImpl.`getInheritingGroups()`

## Uses of Group in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type Group
Modifier and Type
Method
Description
`T`
SecuritySwitch.`caseGroup(Group object)`
Returns the result of interpreting the object as an instance of 'Group'.
`boolean`
SecurityValidator.`validateGroup(Group group, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean`
SecurityValidator.`validateGroup_AcyclicInheritance(Group group, DiagnosticChain diagnostics, Map<Object,Object> context)`
Validates the AcyclicInheritance constraint of 'Group'.